# Class Example

java.lang.Object
com.google.adk.JsonBaseModel
com.google.adk.examples.Example

public abstract class Example extends JsonBaseModel
Represents an few-shot example.

- ## Nested Class Summary

  Nested Classes
  Modifier and Type
  Class
  Description
  `static class`
  `Example.Builder`
  Builder for constructing `Example` instances.

- ## Constructor Summary

  Constructors
  Constructor
  Description
  `Example()`

- ## Method Summary

  Modifier and Type
  Method
  Description
  `static Example.Builder`
  `builder()`
  `abstract com.google.genai.types.Content`
  `input()`
  `abstract List<com.google.genai.types.Content>`
  `output()`
  `abstract Example.Builder`
  `toBuilder()`

  ### Methods inherited from class JsonBaseModel

  `fromJsonNode, fromJsonString, getMapper, toJson, toJsonNode, toJsonString`
  Modifier and Type
  Method
  Description
  `static <T extends JsonBaseModel>
  T`
  `fromJsonNode(com.fasterxml.jackson.databind.JsonNode jsonNode, Class<T> clazz)`
  Deserializes a JsonNode to an object of the given type.
  `static <T extends JsonBaseModel>
  T`
  `fromJsonString(String jsonString, Class<T> clazz)`
  Deserializes a Json string to an object of the given type.
  `static com.fasterxml.jackson.databind.ObjectMapper`
  `getMapper()`
  Returns the mutable ObjectMapper instance used by ADK.
  `String`
  `toJson()`
  Serializes this object (i.e., the ObjectMappper instance used by ADK) to a Json string.
  `protected static com.fasterxml.jackson.databind.JsonNode`
  `toJsonNode(Object object)`
  Serializes an object to a JsonNode.
  `static String`
  `toJsonString(Object object)`
  Serializes an object to a Json string.

  ### Methods inherited from class Object

  `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- ## Constructor Details

  - ### Example

    public Example()

- ## Method Details

  - ### input

    public abstract com.google.genai.types.Content input()

  - ### output

    public abstract List<com.google.genai.types.Content> output()

  - ### builder

    public static Example.Builder builder()

  - ### toBuilder

    public abstract Example.Builder toBuilder()